#!/sbin/sh
#Features: 
#maxkhz/minkhz/gov/maxscroff added to the kernels cmdline
#clean cmdline of foreigns in case of something wicked is going on in there
#(supports my kernel edits, so that the kernel boots with that values)



##Get CPU MINCLOCK from aroma tmp
val=$(cat /tmp/aroma-data/cpumin.prop | cut -d"=" -f2)
case $val in
  1)
    minkhz="192000"
    ;;
  2)
    minkhz="384000"
    ;;
  3)
    minkhz="432000"
    ;;
esac
##end Get cpu minclock from aroma tmp

##Get CPU MAXCLOCK from aroma tmp
val=$(cat /tmp/aroma-data/cpumax.prop | cut -d"=" -f2)
case $val in
  1)
    maxkhz="1188000"
    ;;
  2)
    maxkhz="1242000"
    ;;
  3)
    maxkhz="1296000"
    ;;
  4)
    maxkhz="1350000"
    ;;
  5)
    maxkhz="1404000"
    ;;
  6)
    maxkhz="1458000"
    ;;
  7)
    maxkhz="1512000"
    ;;
  8)
    maxkhz="1536000"
    ;;
  9)
    maxkhz="1566000"
    ;;
 10)
    maxkhz="1620000"
    ;;
 11)
    maxkhz="1674000"
    ;;
 12)
    maxkhz="1728000"
    ;;
esac
##end Get cpu maxclock from aroma tmp

##Get CPU max screen off clock from aroma tmp
val=$(cat /tmp/aroma-data/cpuscoff.prop | cut -d"=" -f2)
case $val in
  1)
    maxscroff="192000"
    ;;
  2)
    maxscroff="384000"
    ;;
  3)
    maxscroff="432000"
    ;;
  4)
    maxscroff="486000"
    ;;
  5)
    maxscroff="540000"
    ;;
  6)
    maxscroff="594000"
    ;;
  7)
    maxscroff="648000"
    ;;
  8)
    maxscroff="702000"
    ;;
  9)
    maxscroff="756000"
    ;;
esac
##end Get CPU max screen off clock from aroma tmp


##Get 3dgpuoc from aroma tmp
val=$(cat /tmp/aroma-data/3dgpu.prop | cut -d"=" -f2)
case $val in
  1)
    gpu3d="266667000"
    ;;
  2)
    gpu3d="300000000"
    ;;
  3)
    gpu3d="320000000"
    ;;
esac
##end Get 3dgpuoc from aroma tmp

##Get 2dgpuoc from aroma tmp
val=$(cat /tmp/aroma-data/2dgpu.prop | cut -d"=" -f2)
case $val in
  1)
    gpu2d="200000000"
    ;;
  2)
    gpu2d="228571000"
    ;;
  3)
    gpu2d="266667000"
    ;;
esac
##end Get 2dgpuoc from aroma tmp

##Get governor from aroma tmp
val=$(cat /tmp/aroma-data/gov.prop | cut -d"=" -f2)
case $val in
  1)
    gov="ondemand"
    ;;
  2)
    gov="interactive"
    ;;
  3)
    gov="conservative"
    ;;
  4)
    gov="userspace"
    ;;
  5)
    gov="powersave"
    ;;
  6)
    gov="performance"
    ;;
  7)
    gov="lagfree"
    ;;

esac
##end Get governor from aroma tmp

#clean cmdline from foreigns. failsafe
#needed since some cmdlines are full of rubbish :)
sed -i 's/no_console_suspend=1[^$]*$/no_console_suspend=1/g' /tmp/boot.img-cmdline

#Add maxkhz to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="maxkhz="
maxkhz="maxkhz="$maxkhz
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/maxkhz=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $maxkhz>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $maxkhz>/tmp/boot.img-cmdline
	;;
esac
#end maxkhz

#Add minkhz to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="minkhz="
minkhz="minkhz="$minkhz
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/minkhz=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $minkhz>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $minkhz>/tmp/boot.img-cmdline
	;;
esac
#end minkhz

#Add gov to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="gov="
gov="gov="$gov
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/gov=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $gov>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $gov>/tmp/boot.img-cmdline
	;;
esac
#end gov

#Add maxscroff to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="maxscroff="
maxscroff="maxscroff="$maxscroff
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/maxscroff=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $maxscroff>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $maxscroff>/tmp/boot.img-cmdline
	;;
esac
#end maxscroff

#Add 3dgpu to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="3dgpu="
gpu3d="3dgpu="$gpu3d
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/3dgpu=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $gpu3d>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $gpu3d>/tmp/boot.img-cmdline
	;;
esac
#end 3dgpu

#Add 2dgpu to the kernels cmdline.
cmdline=$(cat /tmp/boot.img-cmdline)
searchString="2dgpu="
gpu2d="2dgpu="$gpu2d
case $cmdline in
  "$searchString"* | *" $searchString"*)
   	echo $(cat /tmp/boot.img-cmdline | sed -e 's/2dgpu=[^ ]\+//')>/tmp/boot.img-cmdline
	echo $(cat /tmp/boot.img-cmdline)\ $gpu2d>/tmp/boot.img-cmdline
	;;  
  *)
	echo $(cat /tmp/boot.img-cmdline)\ $gpu2d>/tmp/boot.img-cmdline
	;;
esac
#end 2dgpu

