#!/sbin/sh
#mpdecision and thermald management
#delete old script
if [ -e /system/etc/init.d/99feature ] ; then
	busybox rm /system/etc/init.d/99feature
fi

#remove old anthrax script
if [ -e /system/etc/init.d/99anthrax] ; then
	busybox rm /system/etc/init.d/99anthrax
fi

#backup and remove thermald
if [ -e /system/bin/thermald ] ; then
	busybox mv /system/bin/thermald /system/bin/thermald_backup
fi
#create script
busybox touch /system/etc/init.d/99buttered

#set permissions
busybox chmod 777 /system/etc/init.d/99buttered
#create script header
echo "#!/system/bin/sh" > /system/etc/init.d/99buttered;
echo "" >>/system/etc/init.d/99buttered;
echo "#Set anthrax features" >>/system/etc/init.d/99buttered;
echo "" >>/system/etc/init.d/99buttered;
echo "" >>/system/etc/init.d/99buttered;
#load scsi-wait driver
echo "# load scsi-wait driver for OTG" >>/system/etc/init.d/99buttered;
echo "insmod /system/lib/modules/scsi_wait_scan.ko" >>/system/etc/init.d/99buttered
echo "" >>/system/etc/init.d/99buttered;
#end scsi-wait
#get VSYNC setting and create init.d script
val=$(cat /tmp/aroma-data/vsync.prop | cut -d"=" -f2)
case $val in
  1)
    #off
	echo "# set VSYNC off" >>/system/etc/init.d/99buttered;
	echo "mount -t debugfs debugfs /sys/kernel/debug" >>/system/etc/init.d/99buttered
	echo "echo 0 >/sys/kernel/debug/msm_fb/0/vsync_enable" >>/system/etc/init.d/99buttered
	echo "echo 0 >/sys/kernel/debug/msm_fb/0/hw_vsync_mode" >>/system/etc/init.d/99buttered
	echo "echo 4 >/sys/kernel/debug/msm_fb/0/backbuff" >>/system/etc/init.d/99buttered
	echo "" >>/system/etc/init.d/99buttered;
    ;;
  2)
    #on
	echo "# set VSYNC on" >>/system/etc/init.d/99buttered;
	echo "mount -t debugfs debugfs /sys/kernel/debug" >>/system/etc/init.d/99buttered
	echo "echo 1 >/sys/kernel/debug/msm_fb/0/vsync_enable" >>/system/etc/init.d/99buttered
	echo "echo 1 >/sys/kernel/debug/msm_fb/0/hw_vsync_mode" >>/system/etc/init.d/99buttered
	echo "echo 3 >/sys/kernel/debug/msm_fb/0/backbuff" >>/system/etc/init.d/99buttered
	echo "" >>/system/etc/init.d/99buttered;
    ;;
esac

#get MPDECISION setting and create init.d script
val=$(cat /tmp/aroma-data/mpdec.prop | cut -d"=" -f2)
case $val in
  1)
    #kernel support
	echo "# mpdecision - kernel support" >>/system/etc/init.d/99buttered;
	echo "echo 1 >/sys/kernel/msm_mpdecision/conf/enabled" >>/system/etc/init.d/99buttered
		if [ -e /system/bin/mpdecision ] ; then
		busybox mv /system/bin/mpdecision /system/bin/mpdecision_backup
		fi
	echo "" >>/system/etc/init.d/99buttered;
    ;;
  2)
    #rom support
	echo "# mpdecision - rom support" >>/system/etc/init.d/99buttered;
	echo "echo 0 >/sys/kernel/msm_mpdecision/conf/enabled" >>/system/etc/init.d/99buttered
	if [ -e /system/bin/mpdecision_backup ] ; then
		busybox mv /system/bin/mpdecision_backup /system/bin/mpdecision
	fi
	echo "" >>/system/etc/init.d/99buttered;
    ;;
esac


#get OTG setting and create init.d script
val=$(cat /tmp/aroma-data/otg.prop | cut -d"=" -f2)
case $val in
  1)
    #Sense
	busybox mv /system/bin/mpdecision /system/etc/vold.fstab_backup
	busybox touch /system/etc/vold.fstab
	busybox chmod 777 /system/etc/vold.fstab
	echo "## Vold 2.0 fstab for ButteredToasT - SENSE" >/system/etc/vold.fstab;
	echo "" >>/system/etc/vold.fstab;
	echo "dev_mount sdcard /mnt/sdcard auto /devices/platform/goldfish_mmc.0 /devices/platform/msm_sdcc.3/mmc_host/mmc1" >>/system/etc/vold.fstab
	echo "dev_mount usb /mnt/sdcard/usb auto /devices/platform/msm_hsusb_host.0/usb1" >>/system/etc/vold.fstab
    ;;

  2)
    #aosp
	busybox mv /system/bin/mpdecision /system/etc/vold.fstab_backup
	busybox touch /system/etc/vold.fstab
	busybox chmod 777 /system/etc/vold.fstab
	echo "## Vold 2.0 fstab for ButteredToasT - AOSP" >/system/etc/vold.fstab;
	echo "" >>/system/etc/vold.fstab;
	echo "dev_mount sdcard /storage/sdcard0 auto /devices/platform/msm_sdcc.3/mmc_host/mmc1" >>/system/etc/vold.fstab
	echo "dev_mount sdcard /storage/sdcard1 auto /devices/platform/msm_hsusb.0/usb1" >>/system/etc/vold.fstab
    ;;
  3)
    #no change
    ;;
esac

#get CAMERA setting and create init.d script
val=$(cat /tmp/aroma-data/romtype.prop | cut -d"=" -f2)
case $val in
  1)
    #sense support
	echo "# camera type selection (rom type) - SENSE MODE" >>/system/etc/init.d/99buttered;
	echo "echo 0 >/sys/kernel/rom_type/rom_type" >>/system/etc/init.d/99anthrax
	echo "" >>/system/etc/init.d/99anthrax;
    ;;
  2)
    #aosp support
	echo "# camera type selection (rom type) - AOSP MODE" >>/system/etc/init.d/99buttered;
	echo "echo 1 >/sys/kernel/rom_type/rom_type" >>/system/etc/init.d/99buttered
	echo "" >>/system/etc/init.d/99anthrax;
    ;;
esac


#create script footer
echo "" >>/system/etc/init.d/99buttered;



return $?

