#!/sbin/sh


sweep2wakeon()
{
	#Delete the line containing the HTC screenshot feature out of the build.prop
	#regardless of the setting and replace it with the disable command.
	#This is a compatibility fix for sweep2wake (avoids taking screenshots while locking the phone)
	if [ -e /system/build.prop ] ; then
		found=$(find /system/build.prop -type f | xargs grep -oh "ro.htc.framework.screencapture = false");
		if [ "$found" != 'ro.htc.framework.screencapture = false' ]; then
			#delete that line completely regardless of the setting
			sed '/ro.htc.framework.screencapture/d' /system/build.prop > /tmp/tmpfile
			rm /system/build.prop
			mv /tmp/tmpfile /system/build.prop
			#append the new lines for this option at the bottom
			found=$(find /system/build.prop -type f | xargs grep -oh "ro.htc.framework.screencapture");
			if [ "$found" != 'ro.htc.framework.screencapture' ]; then
				echo "\n" >> /system/build.prop;
				echo "ro.htc.framework.screencapture = false" >> /system/build.prop;
				echo "\n" >> /system/build.prop;
			fi
		fi
	fi
}

sweep2wakeoff()
{
	#Delete the line containing the HTC screenshot feature out of the build.prop
	#regardless of the setting and replace it with the enable command.
	#This is reverts the compatibility fix for sweep2wake
	if [ -e /system/build.prop ] ; then
		found=$(find /system/build.prop -type f | xargs grep -oh "ro.htc.framework.screencapture = true");
		if [ "$found" != 'ro.htc.framework.screencapture = true' ]; then
			#delete that line completely regardless of the setting
			sed '/ro.htc.framework.screencapture/d' /system/build.prop > /tmp/tmpfile
			rm /system/build.prop
			mv /tmp/tmpfile /system/build.prop
			#append the new lines for this option at the bottom
			found=$(find /system/build.prop -type f | xargs grep -oh "ro.htc.framework.screencapture");
			if [ "$found" != 'ro.htc.framework.screencapture' ]; then
				echo "\n" >> /system/build.prop;
				echo "ro.htc.framework.screencapture = true" >> /system/build.prop;
				echo "\n" >> /system/build.prop;
			fi
		fi
	fi
}

#delete old script
if [ -e /system/etc/init.d/99sweep2wake ] ; then
	busybox rm /system/etc/init.d/99sweep2wake
fi

#create script
busybox touch /system/etc/init.d/99sweep2wake

#set permissions
busybox chmod 777 /system/etc/init.d/99sweep2wake

#create cript header
echo "#!/system/bin/sh" > /system/etc/init.d/99sweep2wake;
echo "" >> /system/etc/init.d/99sweep2wake;

#get sweep2wake setting and create init.d script
val=$(cat /tmp/aroma-data/sweep.prop | cut -d"=" -f2)
case $val in
  1)
    #off
    echo "echo 0 >/sys/android_touch/sweep2wake" >> /system/etc/init.d/99sweep2wake
    sweep2wakeoff
    ;;
  2)
    #on but no button backlight
    echo "echo 1 >/sys/android_touch/sweep2wake" >> /system/etc/init.d/99sweep2wake
    sweep2wakeon
    ;;
  3)
    #on with backlight
    echo "echo 2 >/sys/android_touch/sweep2wake" >> /system/etc/init.d/99sweep2wake
    sweep2wakeon
    ;;
esac

#create script footer
echo "" >> /system/etc/init.d/99sweep2wake;

return $?
